<?php
// ICloneable.php
// Created: 2021-04-26
// Updated: 2021-05-12

namespace Index;

/**
 * Provides an interface for creating a clone of an object in a controlled manner.
 */
interface ICloneable {
    /**
     * Create a new object that is a copy of the current instance.
     *
     * @return mixed A copy of the current instance.
     */
    function clone(): mixed;
}
