<?php
// IBencodeSerialisable.php
// Created: 2022-01-13
// Updated: 2022-02-02

namespace Index\Serialisation;

/**
 * Provides an interface for serialising objects for bencoding in a controlled manner.
 */
interface IBencodeSerialisable {
    /**
     * Gets the data that should represent this object in a Bencode structure.
     *
     * @return mixed Representative data.
     */
    function bencodeSerialise(): mixed;
}
