<?php
// IEquatable.php
// Created: 2021-04-26
// Updated: 2021-05-12

namespace Index;

/**
 * Provides an interface for determining the value-equality of two objects.
 */
interface IEquatable {
    /**
     * Checks whether the current object is equal to another.
     *
     * @return bool true if the objects are equals, false if not.
     */
    function equals(mixed $other): bool;
}
