<?php
// PerformanceCounter.php
// Created: 2022-02-16
// Updated: 2022-02-28

namespace Index\Performance;

final class PerformanceCounter {
    public static function getFrequency(): int|float {
        return 1000000;
    }

    public static function getTicks(): int|float {
        return hrtime(true);
    }

    public static function getTicksSince(int|float $since): int|float {
        return self::getTicks() - $since;
    }
}
